clear all
close all
T = 40; % maximum time [d] in days.
k1 = 0.3; % deoxygenation rate coefficient [1/d]
k2 = 0.4; % reaeration rate coefficient [1/d]
DOsat = 11; % DO saturation [mg/l]
BODin = 3; % initial BOD [mg/l]
DOin = 11; % initial DO concentrations [mg/l]
fBOD = 0.5; % natural BOD inflow [mg/(ld)]
fBOD2 = 0.5
N = 10000; % discretization of time
%---------------------- execution ---------------------------
% BOD = y(1), DO = y(2)
options = odeset('AbsTol',1e-10);
[t,y] = ode15s(@SP,[0 T],[BODin; DOin],options,k1,k2,DOsat,fBOD);
%[t,y] = ode15s(@SP,[0 T],[BODin; DOin],options,k1,k2,DOsat,fBOD,fBOD2);
%---------------------- graphical output --------------------
plot (t,y);
legend ('BOD','DO');
xlabel ('traveltime [d]'); ylabel ('concentration [mg/l]');
grid;


%---------------------- function ----------------------------
% function dydt = SP(t,y,k1,k2,DOsat,fBOD)
% dydt = zeros(2,1);
% dydt(1) = fBOD-k1*y(1);
% dydt(2) = k2*(DOsat-y(2))-k1*y(1);