clear all
close all
T = 50; % maximum time [d] in sec.
k1 = 0.3; % deoxygenation rate coefficient [1/d]
k2 = 0.4; % reaeration rate coefficient [1/d]
DOsat = 11; % DO saturation [mg/l]
BODin = 7.33; % initial BOD [mg/l]
DOin = 8.5; % initial DO concentrations [mg/l]
fBOD = 1; % natural BOD inflow [mg/(ld)]
N = 100; % discretization of time

%---------------------- outras etes! ---------------------------
deltaBODin2 = 3 % additional discharge
pos2=5 %after x days flowing distance
deltaBODin3 = 3 % additional discharge
pos3=15 %after x days flowing distance

%---------------------- execution ---------------------------
% BOD = y(1), DO = y(2)
options = odeset('AbsTol',1e-20);
[t,y] = ode15s(@SP,[0 pos2],[BODin; DOin],options,k1,k2,DOsat,fBOD);
[t2,y2] = ode15s(@SP,[pos2 pos3],[y(max(size(y)),1)+deltaBODin2; y(max(size(y)),2)],options,k1,k2,DOsat,fBOD);
[t3,y3] = ode15s(@SP,[pos3 T],[y2(max(size(y)),1)+deltaBODin3; y2(max(size(y)),2)],options,k1,k2,DOsat,fBOD);
%---------------------- graphical output --------------------
plot (t,y, t2,y2, t3,y3);
%legend ('BOD','DO');
xlabel ('traveltime [d]'); ylabel ('concentration [mg/l]');
grid;